]> granicus.if.org Git - pdns/commitdiff
Add pdns-backend-tinydns package
authorPieter Lexis <pieter.lexis@powerdns.com>
Wed, 28 Oct 2015 12:01:33 +0000 (13:01 +0100)
committerPieter Lexis <pieter.lexis@powerdns.com>
Wed, 28 Oct 2015 15:30:48 +0000 (16:30 +0100)
build-scripts/debian-authoritative/config/pdns.local.tinydns.conf [new file with mode: 0644]
build-scripts/debian-authoritative/control
build-scripts/debian-authoritative/pdns-backend-tinydns.examples [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-tinydns.install [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-tinydns.postinst [new file with mode: 0644]
build-scripts/debian-authoritative/pdns-backend-tinydns.prerm [new file with mode: 0644]
build-scripts/debian-authoritative/rules

diff --git a/build-scripts/debian-authoritative/config/pdns.local.tinydns.conf b/build-scripts/debian-authoritative/config/pdns.local.tinydns.conf
new file mode 100644 (file)
index 0000000..22f0449
--- /dev/null
@@ -0,0 +1,27 @@
+# Config file for the TinyDNS backend
+# Specifies the name of the data file to use.
+# tinydns-dbfile=data.cdb
+
+# Adjusts the TAI value if timestamps are used. These seconds will be added to
+# the start point (1970) and will allow you to adjust for leap seconds. The
+# current default is 11. The last update was on june 30th 2012.
+# tinydns-tai-adjust=11
+# 
+# Notify all the slave nameservers on startup. This might cause broadcast storms.
+# tinydns-notify-on-startup=no
+
+# The tinydns-data program can create data.cdb files that have bad/corrupt
+# RDATA. PowerDNS will crash when it tries to read that bad/corrupt data. This
+# option (change to yes), allows you to ignore that bad RDATA to make PowerDNS
+# operate when bad data is in your CDB file. Be aware that the records are then
+# ignored, where tinydns would still send out the bogus data. The option is
+# primarily useful in master mode, as that reads all the packets in the zone to
+# find all the SOA records.
+# tinydns-ignore-bogus-records=no
+
+
+# Enable or Disable location support in the backend. Changing the value to 'no'
+# will make the backend ignore the locations. This then returns all records.
+# When the setting is changed to 'no' an AXFR will also return all the records.
+# With the setting on 'yes' an AXFR will only return records without a location.
+# tinydns-locations=no
index 72bc357f9d3e69c53d4de32525090b081c84e77e..f8912e7efde5af6d31640d55d9160dcc9b01608f 100644 (file)
@@ -4,7 +4,7 @@ Priority: extra
 Standards-Version: 3.9.6
 Maintainer: PowerDNS Autobuilder <powerdns.support@powerdns.com>
 Origin: PowerDNS
-Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-systemd, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.2-dev, pkg-config, libcrypto++-dev, ragel, libgmp-dev, libbotan1.10-dev, libcurl4-openssl-dev, libzmq-dev, liblmdb-dev, libyaml-cpp-dev (>= 0.5), libgeoip-dev, libopendbx1-dev
+Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-systemd, po-debconf, libtool, flex, bison, libmysqlclient-dev, libpq-dev, libssl-dev, libpolarssl-dev, libgdbm-dev, libldap2-dev, libsqlite3-dev, dpkg-dev (>= 1.17.0~), libboost-dev, libboost-serialization-dev, libboost-program-options-dev, libboost-test-dev, autotools-dev, automake, autoconf, liblua5.2-dev, pkg-config, libcrypto++-dev, ragel, libgmp-dev, libbotan1.10-dev, libcurl4-openssl-dev, libzmq-dev, liblmdb-dev, libyaml-cpp-dev (>= 0.5), libgeoip-dev, libopendbx1-dev, libcdb-dev
 Homepage: http://www.powerdns.com/
 
 Package: pdns-server
@@ -208,3 +208,15 @@ Description: MyDNS compatibility backend for PowerDNS
  PowerDNS tries to emphasize speed and security.
  .
  This package contains the MyDNS compatibility backend for PowerDNS.
+
+Package: pdns-backend-tinydns
+Architecture: any
+Depends: pdns-server (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: pdns-backend
+Description: tinydns compatibility backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the tinydns compatibility backend for PowerDNS.
diff --git a/build-scripts/debian-authoritative/pdns-backend-tinydns.examples b/build-scripts/debian-authoritative/pdns-backend-tinydns.examples
new file mode 100644 (file)
index 0000000..b1531ca
--- /dev/null
@@ -0,0 +1 @@
+debian/config/pdns.local.tinydns.conf
diff --git a/build-scripts/debian-authoritative/pdns-backend-tinydns.install b/build-scripts/debian-authoritative/pdns-backend-tinydns.install
new file mode 100644 (file)
index 0000000..5d4ab6b
--- /dev/null
@@ -0,0 +1 @@
+usr/lib/*/pdns/libtinydnsbackend.so*
diff --git a/build-scripts/debian-authoritative/pdns-backend-tinydns.postinst b/build-scripts/debian-authoritative/pdns-backend-tinydns.postinst
new file mode 100644 (file)
index 0000000..e01d198
--- /dev/null
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# postinst script for pdns-backend-tinydns
+
+set -e
+
+if [ -n "$PDNSDEBUG" ]; then
+  echo "now debugging $0 $@"
+  set -x
+fi
+
+# Activate trigger
+dpkg-trigger pdns-server
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/build-scripts/debian-authoritative/pdns-backend-tinydns.prerm b/build-scripts/debian-authoritative/pdns-backend-tinydns.prerm
new file mode 100644 (file)
index 0000000..3298654
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Add call to init script to actually stop pdns.
+
+set -e
+
+if [ -x "/etc/init.d/pdns" ]; then
+       invoke-rc.d pdns stop || exit $?
+fi
+
+#DEBHELPER#
+
+exit 0
+
index d838c6dc59566292c43cf91603ed0382177909d4..6080d3ad904c8d582cb6533bdab8b69146417fa7 100755 (executable)
@@ -5,7 +5,7 @@ version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Ve
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
 
 # Backends
-backends := bind ldap pipe gmysql gpgsql gsqlite3 geoip lua mydns remote random opendbx
+backends := bind ldap pipe gmysql gpgsql gsqlite3 geoip lua mydns remote random opendbx tinydns
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)